MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000206SoldatGameplaypublic2012-05-16 23:292013-07-07 16:39
ReporterBistoufly 
Assigned Toskoskav 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.4 
Summary0000206: Smoking animation isn't cancelled by movement keys.
DescriptionRe.the smoking animation that happen when idling:
It should cancel itself as soon as the player hit a movement key (wasd).
As it is right now it's only cancelled when hitting nade or punch.

SF thread: http://forums.soldat.pl/index.php?topic=40097.0 [^]
Additional InformationIt's a major annoyance e.g. in Hide and Seek.

You are one of the hider.
And lose track of the seeker.
So you decide to wait for the seeker in a safe spot. (Usually at the edge of a poly)
The seeker arrives.
You try to move and oh surprise your soldier doesn't move ( he was caught in the idle animation. )
You die. ( and curse the game and that bug )
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001545)
skoskav (developer)
2012-06-03 01:04

Made movement keys cancel the idle animations.
(0001742)
Bistoufly (updater)
2013-07-07 16:39

verified 1.6.4. rc2

- Issue History
Date Modified Username Field Change
2012-05-16 23:29 Bistoufly New Issue
2012-06-03 00:51 skoskav Assigned To => skoskav
2012-06-03 00:51 skoskav Status new => assigned
2012-06-03 01:04 skoskav Note Added: 0001545
2012-06-03 01:04 skoskav Status assigned => resolved
2012-06-03 01:04 skoskav Fixed in Version => 1.6.4
2012-06-03 01:04 skoskav Resolution open => fixed
2013-07-07 16:39 Bistoufly Note Added: 0001742
2013-07-07 16:39 Bistoufly Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker